//+------------------------------------------------------------------+
//|                                                        RSI_W.mq4 |
//|                                                     Yuriy Tokman |
//|                                            yuriytokman@gmail.com |
//|   31  2008                      ISQ#:481-971-287      |
//+------------------------------------------------------------------+
#property copyright "Yuriy Tokman"
#property link      "yuriytokman@gmail.com"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Red
#property indicator_level1 50
//---- input parameters
extern int       barsToProcess=1000;
extern int       period=14;
extern int       applied_price=0;
//---- buffers
double ExtMapBuffer0[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexBuffer(0,ExtMapBuffer0); SetIndexStyle(0,DRAW_LINE,STYLE_SOLID,1);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted(),
//----
 limit;

   if(counted_bars>0)
      counted_bars--;
   
   limit=Bars-counted_bars;
   
   if(limit>barsToProcess)
      limit=barsToProcess;
  
   for(int i=0;i<limit;i++)
   {
    double x1 = iRSI(NULL,0,period,applied_price,i),
           x2 = iRSI(NULL,0,period,applied_price,i+1);
           
    ExtMapBuffer0[i]=x1;
    
    if(x1>=50 && x2<=50) {Alert(" \n\"   MQL4 e-mail: yuriytokman@gmail.com \"\nRSI= ", x1);}
    if(x1<=50 && x2>=50) {Alert(" \n\"   MQL4 ISQ#:481-971-287 \"\nRSI= ", x1);}
   }  
   return(0);
  }
//+------------------------------------------------------------------+